import { axios } from '@/utils/request'

//  vin日报 列表  分页
export const vinPartLogDayList = (params) => {
  const url = `/vinPartLog/queryCountByDay/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  vin月报 列表  分页
export const vinPartLogMonthList = (params) => {
  const url = `/vinPartLog/queryCountByMonth/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  vin扫码记录 列表  分页
export const vinPartLogRecordList = (params) => {
  const url = `/vinPartLog/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
